teem-miter(1)

NAME
teem-miter - A simple but effective little volume renderer

SYNOPSIS
teem-miter [@file ...] [-i <nsin>] [-vi <nvin>] [-ti <ntin>] \fR

-txf <nin ...> -fr <eye pos> [-at <at pos>] [-up <up dir>] [-rh] [-or] \

-dn <near> -di <image> -df <far> [-ar] [-ur <uMin uMax>] [-vr <vMin \

    vMax>] [-fv <field of view>] [-offfr] [-ffr <fake from>] \ [-turn <angle>] [-am <ambient>] [-ld <light pos>] [-is <image size>] \ [-iss <scale>] [-ads <ka kd ks>] [-sp <spec pow>] [-k00 <kernel>] \ [-k11 <kernel>] [-k22 <kernel>] [-ss <shading spec>] [-ns <normal \ spec>] [-side <normal side>] [-rn] [-gmc <min gradmag>] [-step <size>] \ [-ref <size>] [-vp <verbose pixel>] [-n1 <near1>] [-nt <# threads>] \ -o <filename>

    @file ... = response file(s) containing command-line arguments -i <nsin> = input scalar volume to render (nrrd); default: ""

-vi <nvin> = input vector volume to render (nrrd); default: ""

-ti <ntin> = input tensor volume to render (nrrd); default: ""

-txf <nin ...> = one or more transfer functions (1 or more nrrds)

-fr <eye pos> = camera eye point (3 doubles)

-at <at pos> = camera look-at point (3 doubles); default: "0 0 0"

-up <up dir> = camera pseudo-up vector (3 doubles); default: "0 0 1"

    -rh = use a right-handed UVN frame (V points down) -or = orthogonal (not perspective) projection

-dn <near> = distance to near clipping plane (double)

-di <image> = distance to image plane (double)

-df <far> = distance to far clipping plane (double)

    -ar = near, image, and far plane distances are relative to the

    *at* point, instead of the eye point

-ur <uMin uMax> = range in U direction of image plane (2 doubles)

-vr <vMin vMax> = range in V direction of image plane (2 doubles)

-fv <field of view> = angle (in degrees) vertically subtended by view window

    (double); default: "20"

    -offfr = the given eye point ("-fr") is to be interpreted as an

    offset from the at point.

-ffr <fake from> = eye point to use for view-dependent transfer functions.
    By default (not using this option), the point used is the normally specified camera eye point. (3 doubles)

-turn <angle> = angle (degrees) by which to rotate the from point around
    true up, for making stereo pairs. Positive means move towards positive U (the right) (double); default: "0.0"

-am <ambient> = ambient light color (3 floats); default: "1 1 1"

-ld <light pos> = view space light position (extended to infinity)
    (3 floats); default: "0 0 -1"

-is <image size> = image dimensions (2 ints); default: "256 256"

-iss <scale> = scaling of image size (from "is") (float);
    default: "1.0"

-ads <ka kd ks> = phong components (3 floats); default: "0.1 0.6 0.3"

-sp <spec pow> = phong specular power (double); default: "30"

-k00 <kernel> = value reconstruction kernel (kernel specification);
    default: "tent"

-k11 <kernel> = first derivative kernel (kernel specification);
    default: "cubicd:1,0"

-k22 <kernel> = second derivative kernel (kernel specification);
    default: "cubicdd:1,0"

-ss <shading spec> = how to do shading (string);
    default: "phong:gage(scalar:n)"

-ns <normal spec> = "normal" to use for those miteVal's that need one
    (string); default: ""

  -side <normal side> = how to interpret gradients as normals:

    o "1": normal points to lower values (higher == more "inside") o "0": "two-sided": dot-products are abs()'d o "-1": normal points to higher values (lower == more "inside") (int) default: "1"

    -rn = renormalize kernel weights at each new sample location.

    "Accurate" kernels don't need this; doing it always makes things go slower

-gmc <min gradmag> = For curvature-based transfer functions, set curvature to
    zero when gradient magnitude is below this (double); default: "0.0"

-step <size> = step size along ray in world space (double);
    default: "0.01"

-ref <size> = "reference" step size (world space) for doing opacity
    correction in compositing (double); default: "0.01"

-vp <verbose pixel> = pixel for which to turn on verbose messages (2 ints);

    default: "-1 -1"

-n1 <near1> = opacity close enough to 1.0 to terminate ray (double);
    default: "0.99"

-nt <# threads> = number of threads hoover should use (int); default: "1"

-o <filename> = file to write output nrrd to (string)

SEE ALSO
The full documentation for teem-miter is maintained as a Texinfo manual. If the info and teem-miter programs are properly installed at your site, the command

    info teem-miter

should give you access to the complete manual.